import {
	observer
} from 'mobx-react';
import {
	Steps,
} from 'antd';
const Step = Steps.Step;

@observer
export default class TaxStep extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			store
		} = this.props, {
			step
		} = store, {
			currentIndex,
			items
		} = step;

		return (
			<div className='step'>
				<Steps current={currentIndex}>
					{
						items.map( (item,index) => {
							const {
								title,
								status
							} = item;

							return (
								<Step status={status} description={(currentIndex === index) ? <b>{title}</b> : title}/>
							)
						})
					}
		  		</Steps>
	  		</div>
		)
	}
}